/* ===============
     IMPORTS
=================*/
@import url("https://fonts.google.com/specimen/Red+Hat+Display");

/* ===============
    MAIN BODY
=================*/

/* Background */
html, body{
    margin: 0;
    width: 100%;
    height: 100%;
    font-family: 'Red Hat Display', sans-serif;
    background-color: #F4F8D3;
}

/* Header and Navigation Links */
.container-header {
  background-color: white;}

.nav-link {
  color: #73C7C7;
  font-weight: bold;
}

.nav-link:hover {
  color: black;
}

.nav-item .nav-link.active {
  padding: 10px 20px;
  font-weight: bold;
  background-color: #73C7C7;
}

.nav-link:focus {
  background-color: white;
  color: black;
}

/* ===============
   CONTAINER BOX
=================*/

/* Background */
.tile {
    bottom: .5em;
    text-align: center;
    background-color: white;
    margin: auto;
    // margin-left: auto;
    // margin-right: auto;
    top: 50%;
    width: 800px;
    border-radius: 15px;
    margin-top: 20px;
    padding-bottom: 30px;
    color: white;
    box-shadow: 0 10px 20px -6px #F7CFD8;
    background-color: white;
}
   
.content {
    margin: auto;
    height: 70%; 
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    padding: 0px 50px 0px 50px;
  }

/* ===============
CONTAINER CONTENT
=================*/
h1{
    color: #73C7C7;
    font-style: oblique;
    padding: 30px;
    margin: 0px;
  }

h2 {
    color: black;
    padding: 10px;
    margin: 0px;
    padding-left: 5%;
    padding-right: 5%;
  }

  p {
    color: black;
    padding: 10px;
    line-height: 1.5;
    margin: 0px;
    padding-left: 5%;
    padding-right: 5%;
  }

    /* Spans for defining paragraphs */
    .context {
      font-weight: bold;
      text-decoration: underline;
    }

   /* Spans for defining text */
  .important {
    color: #73C7C7;
    font-weight: bold;
    text-decoration: none;
  }

  #button {
    height: 30px;
    width: 100%;
    border: 0px;
    border-radius: 15px;
    font-weight: bold;
    color: white;
    box-shadow: 0 10px 20px -6px #73C7C7;
    background-color: #73C7C7;
    &:hover{
      background-color: #F7CFD8;
      transition: .3s;
      box-shadow: 0 10px 20px -6px #F7CFD8;
      cursor: pointer;
    }
  }

 /* ===============
 TABLES OR CARDS
 WITHIN CONTAINERS
=================*/
  .card-header {
    background-color:#F7CFD8;
    font-weight: bold;
    color: black;
  }

  .card-body p {
    font-size: larger;
  } 

  table {
      width: 85%;
      margin: 20px auto;
      border-collapse: collapse;
      border-radius: 10px;
      overflow: hidden;
      color: black;
  }

  th, td {
      padding: 15px;
      text-align: left;
  }

  /* Specific Table in Hours Tab */
  th {
      background-color:#F7CFD8;
      font-weight: bold;
  }

  tr:nth-child(even) {
      background-color: #f2f2f2;
  }

  tr:hover {
      background-color: #ddd;
  }

  td, th {
      border: 1px solid #ddd;
  }
  
 /* ===============
    SCREEN SIZE
    ADJUSTMENTS
=================*/

/* For scaling small screens */
@media (max-width: 767px) {
  .fs-4 {
    font-size: 1rem !important;
   }
 
  .tile {
    width: 520px;
  }

  .content {
    padding: 20px; 
  }

  .table-wrapper {
    font-size: small;
  }
}

/* For scaling smaller screens */
@media (max-width: 600px) {
  .tile {
    width: 430px;
  }

table th:nth-child(3), table td:nth-child(3) { /* Hides the "Current Openings" column on the table in the Hours Tab */
  display: none; 
}
}

/* For scaling smallest screens (mobile) */
@media (max-width: 500px) {
 
  .tile {
    width: 400px;
  }


  table th:nth-child(3), 
  table td:nth-child(3) {
    display: none; 
  }

.col {
  width: 280px;
  justify-content: center;
  align-items: center;
  text-align: center;
}

#table-div {
  justify-content: center;
  align-items: center;
  text-align: center;
}
/* centering the pink tables */
.tile .content {
  display: flex;
  justify-content: center; 
  align-items: center; 
  flex-direction: column; 
}

.row {
  display: flex;
  justify-content: center; 
  width: 90%; 
}

}
